=== debian/changelog ===
qgis (2.0.1-2build2) trusty; urgency=medium

  * No-change rebuild for sip 4.15.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 24 Mar 2014 08:54:27 +0400

qgis (2.0.1-2build1) trusty; urgency=medium

  * No-change rebuild for spatialite transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:46:47 +0100

qgis (2.0.1-2) unstable; urgency=low

  [ Peter Michael Green ]
  * Fix broken ARM patch by Konstantinos Margaritis.
  * Fix qreal vs double issues with qmin and qmax.

  [ Jürgen E. Fischer ]
  * run crssync on copy of srs.db
    (closes: #738117)

  [ Bas Couwenberg ]
  * Additional checks in qgis-providers-common.postinst 
  * Add patch to fix mis-detection of PostGIS table types.
  * Add patch to not look for topology layers without topology support.
  * Add patch to fix postgis topology availability detection query.
  * Use dh --parallel instead of make flags.
  * Add patch to disable features on ARM.
    (closes: 737814)
  * Add qgis-crssync dpkg trigger to run crssync after installing the srs.db.
    Thanks to Andreas Beckmann for the assistance.
    (closes: #738273)
  * Also build osgEarth globe plugin.
  * Use cmake -DCMAKE_VERBOSE_MAKEFILE=1 instead of make flags.
  * Use dh commands instead of CMake directly.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 14 Feb 2014 17:20:12 +0100

qgis (2.0.1-1) unstable; urgency=low

  [ Jürgen E. Fischer ]
  * branch of version 2.0
  * add support for debian jessie and ubuntu saucy

  [ Bas Couwenberg ]
  * New upstream release.
    (closes: #688246, #690884, #713358, #713893, #724873, #734136)
  * Add myself to Uploaders.
  * Merge changes from control.sid.
  * Use minimal dh rules.
  * Update watch file. (closes: #717052)
  * Drop 10_fix_gcc4.7_build.patch, no longer required.
  * Use canonical URLs for Vcs-* fields.
  * Don't run tests during build, requires network.
  * Install SVG icon for QGIS desktop files. (closes: #676562)
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle C++ symbols.
  * Split libqgis libraries into separate packages.
  * Remove automatically generated files on clean.
  * Add lintian overrides for no-fortify-functions false positive.
  * Add lintian overrides for binaries-have-file-conflict false positive.
  * Add patch to fix 'another' typo.
  * Add patch to fix 'allows one to' typo.
  * Add Keywords for desktop files.
  * Update copyright for qgis-providers-common resources.
  * Don't install extra license files.
  * Bump Standards-Version to 3.9.5, changes: minimal dh rules, Vcs-* field
    updates, shared library split and symbols.
  * Add patch to fix FTBFS on armel/armhf. Thanks to Konstantinos Margaritis.
    (closes: #691333)
  * Change priority to optional.
  * Update libgdal-dev build dependency.
  * Add patch to fix building with SIP 4.15.
  * Update Source URL in copyright.
  * Add patches from upstream release-2_0 branch.
  * Add patch to remove Google AdSense from documention.
  * Add patch to explicitly use /usr/bin/python2.7, update X-Python-Version and
    dependencies accordingly.
    (closes: #729495)
  * Add patch to fix a crash when a WMS-C tile matrix set isn't available
    anymore.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 16 Jan 2014 21:28:09 +0100

qgis (1.9.0) UNRELEASED; urgency=low

  * new development version 1.9 after branch of 1.8
  * include ows provider
  * include wcs provider
  * symbology-ng-style now in sqlite3
  * include cpt-city files
  * support DEB_BUILD_OPTIONS' parallel=n
  * add python-unittest2 build dependency for maverick and squeeze
  * disable PyQgsRectangle test on lucid (depends on unittest2)
  * add python-psycopg2 and python-qscintilla2 dependency to python-qgis
  * add python-matplotlib dependency to python-qgis-common (for sextante)
  * add support for ubuntu quantal and raring
  * remove js files and add libjs-jquery/libjs-underscore dependency
  * add spatialite qt sql driver
  * include topology plugin
  * drop delimited text and diagram overlay plugin (now in core)
  * drop context_help, function_help and qgis_help.db files
  * use dh_sip
  * add build dependency to xfonts (100dpi, 75dpi, scalable) for tests
  * raise Qt dependency to 4.6

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 27 Jul 2013 16:45:43 +0200

qgis (1.8.0) UNRELEASED; urgency=low

  * new development version 1.8 after branch
  * include function help in package
  * include heatmap plugin
  * drop extra include path for QtWebkit on oneiric and natty
  * add translations for desktop link
  * add browser desktop entry
  * add support for Debian wheezy and Ubuntu precise
  * build package with internal libspatialite where libspatialite not available
  * drop support for Ubuntu hardy, intrepid, jaunty and karmic
  * add mssqlprovider plugin
  * copyright & policy update (synced from debiangis)
  * run crssync in postinst
  * run tests with xvfb and upload to results to (c)dashboard
  * new development version 1.8 after branch
  * add qgis browser (qbrowser)
  * add zonal statistics plugins and globe plugin
  * migrate unstable package to dh_python2
  * add ubuntu oneiric
  * include internal pyspatialite in python-qgis
  * update watch
  * drop abi postfix from sqlanywhere plugin
  * include network analysis library
  * build package with libspatialindex where available
  * drop wfsplugin & displaceplugin

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 14 Jun 2012 10:56:27 +0200
